Bug 116473 - The "Export only note pages" in the PDF export options dialog is enabled even with Export note pages disabled (see: comment 2)
Summary: The "Export only note pages" in the PDF export options dialog is enabled even...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.2.0.4 release
Hardware: All All
: medium trivial
Assignee: Gabor Kelemen
URL:
Whiteboard: target:6.1.0
Keywords: implementationError
Depends on:
Blocks: PDF-Export-Options-Dialog
  Show dependency treegraph
 
Reported: 2018-03-18 17:45 UTC by Telesto
Modified: 2018-05-03 09:55 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-03-18 17:45:19 UTC Comment hidden (obsolete)
Comment 1 Timur 2018-03-19 16:25:51 UTC
Description mixes unchecked (no mark) and disabled (grayed out).
(In reply to Telesto from comment #0)
> Actual Results:  
> "Export only note pages" isn't disabled with "Export notes pages" unchecked
It stays checked but it is disabled. 
> Expected Results:
> "Export only note pages" should be disabled with "Export notes pages"
> unchecked
It is already disabled. You may think it should also be unchecked. 

So I didn't confirm this bug. 
I'd say like this:
Actual Results:  
"Export only notes pages" is enabled in the beginning on first Export as PDF screen.
Expected Results
"Export only notes pages" should be disabled if "Export notes pages" is unchecked (also in the beginning). 
Reason:  When just "Export only note pages" is checked (regardless if enabled), it doesn't work.
Comment 2 Telesto 2018-03-19 16:43:34 UTC
Sorry, I my made a mistake in step 3 and 'disabled' is a little ambiguous
1. Launch Impress
2. File -> Export as PDF
3. Notice that "Export only note pages" can be checked even with "Export notes pages" unchecked

----

How it should be:
4. Check "Export notes pages"
5. Uncheck "Export notes pages" -> "Export only note pages" will be deactivated (grayed out) as expected

So, the checkbox "Export only note pages" is active even with "Export notes pages" unchecked. The "Export only note pages" function should be deactivated (greyed out) as it will after checking & unchecking "Export notes pages"
Comment 3 Commit Notification 2018-04-27 12:56:02 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3b47d5120d04d86e5046a333804640102c0b8ea1

tdf#116473 'Export only note pages' should depend on 'Export notes pages'

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Timur 2018-05-03 09:55:52 UTC
Behavior seems correct now, within the existing logic. I'll set to Verified.